package com.bsoft.api.mapper;

import com.bsoft.api.model.SerPageProjValue;
import com.bsoft.api.model.respmodel.SummaryNew;
import com.bsoft.api.model.respmodel.SummaryValue;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

public interface SerPageProjValueMapper {
    int deleteByPrimaryKey(BigDecimal id);

    int insert(SerPageProjValue record);

    SerPageProjValue selectByPrimaryKey(BigDecimal id);

    List<SerPageProjValue> selectAll();

    int updateByPrimaryKey(SerPageProjValue record);

    List<SummaryNew> selectDept(@Param("date") Integer date,@Param("page") Integer page);

    List<SummaryValue> selectValue(@Param("date") Integer date,@Param("page") Integer page,
                                   @Param("deptCode") String deptCode);
}